For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all applicants
        • GETGet an applicant by ID
        • GETGet rentable items for an applicant
        • POSTCreate Applicant: ResMan
        • PUTUpdate Applicant: ResMan
        • POSTCreate Applicant Files: ResMan
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManApplicants

Get all applicants

GET
/v1/applicants/
GET
/v1/applicants/
$curl https://api.propexo.com/v1/applicants/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "applicant-987654321",
18 "x_property_id": "property-123456789",
19 "x_lead_id": "lead-321654987",
20 "x_unit_id_preferred": [
21 "unit-abc-123-def-456"
22 ],
23 "address_1_alternate": null,
24 "address_1": null,
25 "address_2_alternate": null,
26 "address_2": null,
27 "applications": [
28 {
29 "applicant_id": "clwktsp9v000008l31iv218hn",
30 "application_id": "app-20240322-001",
31 "status_raw": "Approved by leasing",
32 "status_normalized": "APPROVED",
33 "custom_data": {},
34 "status": "APPROVED"
35 }
36 ],
37 "city_alternate": null,
38 "city": null,
39 "country_alternate": null,
40 "country": null,
41 "custom_data": {},
42 "date_of_birth": null,
43 "email_1": "sally.jones@example.com",
44 "email_2": null,
45 "first_name": "Sally",
46 "last_name": "Jones",
47 "middle_name": null,
48 "notes": null,
49 "phone_1_type": "MOBILE",
50 "phone_1": "2345678901",
51 "phone_2_type": "FAX",
52 "phone_2": "2345678902",
53 "state_alternate": null,
54 "state": null,
55 "type_normalized": null,
56 "type_raw": null,
57 "zip_alternate": null,
58 "zip": null,
59 "pets": [
60 {
61 "id": "clwktsp9v000008l31iv218hn",
62 "created_at": "2024-03-21T15:38:08.337Z",
63 "updated_at": "2024-03-22T10:59:45.119Z",
64 "last_seen": "2024-03-22T10:59:45.119Z",
65 "x_id": "e651bf4e-7c63-42a4-a181-2fd08d8a3751",
66 "age_in_years": 2,
67 "breed": "Poodle",
68 "color": "White",
69 "gender_raw": null,
70 "is_declawed": null,
71 "is_fixed": null,
72 "is_service_animal": null,
73 "is_trained": null,
74 "is_vaccinated": null,
75 "name": "Buddy",
76 "notes": "Large dog and growing. House trained.",
77 "type": "Cat/Dog",
78 "weight_in_pounds": 40,
79 "custom_data": {}
80 }
81 ],
82 "integration_id": "clwh5u07w000508me66sfh3um",
83 "integration_vendor": "RESMAN",
84 "property_id": "clwi5xiix000008l6ctdgafyh",
85 "unit_id_preferred": [
86 "cm20oe3sw87101871971bl8bymi60v3o"
87 ],
88 "screenings": [
89 {
90 "id": "clwktsp9v000008l31iv218hn",
91 "created_at": "2024-03-21T15:38:08.337Z",
92 "last_seen": "2024-03-22T10:59:45.119Z",
93 "x_id": "screening-20240322-001",
94 "status_raw": "Pending",
95 "screening_date": "2024-03-20T12:00:00Z"
96 }
97 ],
98 "x_unit_id": "unit-456789123",
99 "x_lease_id": null,
100 "self_reported_income": [
101 {
102 "amount_in_cents": 325000,
103 "amount_raw": "$3,250.00",
104 "type_normalized": null,
105 "type_raw": null
106 }
107 ]
108 }
109 ]
110}
Get all applicants
Was this page helpful?
Previous

Get an applicant by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external ID from the integration vendor
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record
email_1stringOptional
The primary email address associated with the applicant
phone_1stringOptionalformat: "^[2-9]\d{9}$"

Filter by phone number (10 digit format only)

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error